twitter4j

## Class OEmbedJSONImpl

- java.lang.Object
- - twitter4j.OEmbedJSONImpl

All Implemented Interfaces:
  Serializable, OEmbed, TwitterResponse

    public class OEmbedJSONImpl
    extends Object
    implements OEmbed, Serializable

Since:
  Twitter4J 3.0.2
Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `getAccessLevel()`
`String` `getAuthorName()` The name of the author/owner of the resource.
`String` `getAuthorURL()` A URL for the author/owner of the resource.
`long` `getCacheAge()` The suggested cache lifetime for this resource, in seconds.
`String` `getHtml()` The HTML required to display the resource.
`RateLimitStatus` `getRateLimitStatus()` Returns the current rate limit status if available.
`String` `getURL()` The url of the resource provider. The source URL of the image.
`String` `getVersion()` The oEmbed version number.
`int` `getWidth()` The width in pixels of the image specified in the url parameter.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getHtml

    public String getHtml()

Description copied from interface: `OEmbed`
The HTML required to display the resource. The HTML should have no padding or margins. Consumers may wish to load the HTML in an off-domain iframe to avoid XSS vulnerabilities. The markup should be valid XHTML 1.0 Basic.

Specified by:
  `getHtml` in interface `OEmbed`
Returns:
  The HTML required to display the resource.

#### getAuthorName

    public String getAuthorName()

Description copied from interface: `OEmbed`
The name of the author/owner of the resource.

Specified by:
  `getAuthorName` in interface `OEmbed`
Returns:
  The name of the author/owner of the resource.

#### getURL

    public String getURL()

Description copied from interface: `OEmbed`
The url of the resource provider.
The source URL of the image. Consumers should be able to insert this URL into an <img> element. Only HTTP and HTTPS URLs are valid.

Specified by:
  `getURL` in interface `OEmbed`
Returns:
  The url of the resource provider.

#### getVersion

    public String getVersion()

Description copied from interface: `OEmbed`
The oEmbed version number.

Specified by:
  `getVersion` in interface `OEmbed`
Returns:
  The oEmbed version number.

#### getCacheAge

    public long getCacheAge()

Description copied from interface: `OEmbed`
The suggested cache lifetime for this resource, in seconds. Consumers may choose to use this value or not.

Specified by:
  `getCacheAge` in interface `OEmbed`
Returns:
  The suggested cache lifetime for this resource, in seconds. Consumers may choose to use this value or not.

#### getAuthorURL

    public String getAuthorURL()

Description copied from interface: `OEmbed`
A URL for the author/owner of the resource.

Specified by:
  `getAuthorURL` in interface `OEmbed`
Returns:
  A URL for the author/owner of the resource.

#### getWidth

    public int getWidth()

Description copied from interface: `OEmbed`
The width in pixels of the image specified in the url parameter.

Specified by:
  `getWidth` in interface `OEmbed`
Returns:
  The width in pixels of the image specified in the url parameter.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getRateLimitStatus

    public RateLimitStatus getRateLimitStatus()

Description copied from interface: `TwitterResponse`
Returns the current rate limit status if available.

Specified by:
  `getRateLimitStatus` in interface `TwitterResponse`
Returns:
  current rate limit status

#### getAccessLevel

    public int getAccessLevel()

Specified by:
  `getAccessLevel` in interface `TwitterResponse`
Returns:
  application permission model
See Also:
  Application Permission Model FAQ - How do we know what the access level of a user token is?